当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]Web程序员的Ubuntu7.10安装配置手记
帖子发表于 : 2007-12-17 11:30 

注册: 2007-12-16 18:08
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
Ubuntu 出了7.10,心神往之,耐不住手痒,狠心将家中电脑保存的经典游戏,电影,统统删去。

挪出20余G,然后,开机,放盘,欲装之而后快 !

一. 安装快乐

因为我本来打算是在VMware上安装的,所以下载的是 alternate desktop CD,这样安装的界面

是非图形化的,不过这个没啥关系,这点操作难不到我,可是我还是遇到了麻烦以至于我安装到

一半不得不关机,然后重新安装。第一个要注意的键盘选择,有个操作似乎是要检测键盘什么的,

如果你选择YES,恭喜你,这个是你遇到的第一个麻烦,还是老老实实选择NO吧,我如果不这么

操作,按键就会乱套。还有一个让我郁闷的,如果我插着网线,并且不跳过配置网卡这一步的话,

那么安装到最后,系统会自动试图连上网去,这个自动的操作,是非常耗时间的,我等不耐烦了,

重启来重新安装的,再解释一遍,拔掉网线,跳过配置网卡,其他的就全按默认的选择好了,硬

盘分区,我给 / 分了18G,交换分区 有 2 G,虽然一点技术含量也没有,我也是偷懒了.....

OK,装完了,光盘自动弹出,选择确认后,系统会重新启动,BIOS选择从硬盘启动,稍等一下,

熟悉的Gnome界面出现了,系统安装的时候,曾提示输入你的用户名,用这个用户登录就好了

二. 升级无聊

现在开始配置网络,安装源,还有语言,一般来说,网卡会自动安装好,如果是DHCP,那么

现在已经可以上网了,不过,标准的做法是,打开一个终端,输入


shell$ sudo vim /etc/network/interfaces

在文件加入一段配置,来使得网卡能由DHCP分配到IP,并在系统启动的时候自动启动网卡,系统会

提示你要输入密码,请输入登录的这个用户的密码。

auto eth0
iface eth0 inet dhcp

如果你没有DHCP,那么需要手动配置这个文件,即在文件加入下面的配置,表示网卡自动

随系统启动,IP为192.168.1.100,子网掩码为255.255.255.0 , 网关为192.168.1.1

auto eth0
iface eth0 inet static
address 192.168.1.100
netmask 255.255.255.0
#broadcast 172.16.146.255
gateway 192.168.1.1

手动配置网卡的,最好指定你的DNS服务,输入

shell$ sudo vim /etc/resolv.conf


加入下面的配置

nameserver 202.106.196.115
nameserver 202.106.0.20

这个是我的,你的可能和我的不同,或是有更好更快的DNS服务器,现在你可以重新启动

你的网卡 先

shell$ sudo ifdown eth0

,再


shell$ sudo ifup eth0

,随便 ping 个域名试试.... OK !

接着我们配置安装源,先备份你的 /etc/apt/sources.list,输入

shell$ sudo cp /etc/apt/sources.list /etc/apt/sources.bak.list

然后输入

shell$ sudo vim /etc/apt/sources.list

,把所有行去掉,再加入下面一段

# cn99.com 源更新服务器(江苏省常州市电信,推荐电信用户使用,我自己是南方电信1M带宽的用户,更新速度平均有100K)
deb http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse

# Mirror.lupaworld.com 源更新服务器(浙江省杭州市双线服务器,网通同电信都可以用,亚洲地区官方更新服务器)
deb http://mirror.lupaworld.com/ubuntu gutsy main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu gutsy-security main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu gutsy-updates main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu gutsy-backports main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu gutsy main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu gutsy-security main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu gutsy-updates main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu gutsy-backports main restricted universe multiverse

# Ubuntu 官方源 推荐北方网通用户添加
deb http://archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ gutsy-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ gutsy-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse

# 台湾的官方源速度也相当不错,有时甚至快于内地的:
deb http://tw.archive.ubuntu.com/ubuntu gutsy main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu gutsy-security main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu gutsy-updates main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu gutsy-backports main restricted universe multiverse
deb http://tw.archive.ubuntu.com/ubuntu gutsy-proposed main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu gutsy main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu gutsy-security main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu gutsy-updates main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu gutsy-backports main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu gutsy-proposed main restricted universe multiverse

# 防止非官方源中软件包不全的问题,请在sources.list文件中尾部添加下面这个官方源。
deb http://archive.ubuntu.org.cn/ubuntu-cn/ feisty main restricted universe multiverse


保存,退出,运行


shell$ sudo apt-get update

,更新你的源,然后把语言配置安装完整了。

打开 "system -> system manage -> Language xxxxx" 英文怎么写的不记得了,就是在系统主菜单

中选择 “系统 -> 系统管理 -> 语言支持” , 如果提示你要密码,就输入登录的这个用户的密码,

然后在 Chinese 和 English 后勾上,确定,系统会提示你需要安装20多个软件包,这个是我们需要的

安装把,这样,中文包,才能安装完整。不然,很多软件 的菜单都是英文的。

最后就是给系统升级了,

shell$ sudo apt-get upgrade

,完毕后,重新启动 !


三. 驱动痛苦

我的显卡是nvidia FX 5200 ,老土拉,为了让系统能跑魔兽世界,或是compiz 就需要打开OpenGL

按网上的说明,安装源上的nvidia-glx和nvidia-glx-new我装了好多编,折腾了两天,都不行,最后,

我找到可行的办法,就是先安装nvidia-glx,把相关支持包顺便装上,然后卸载 nvidia-glx 和 nvidia-glx-dev,

再到 NVIDIA 的官网上下载 FX 的 linux 驱动 ,


shell$ sudo /etc/init.d/gdm stop

退出Gnome,退出到终端后,

运行


shell$ sudo sh NVIDIA-xxxxx.run

,安装驱动,如果提示缺少kernel-header-dev,就把linux-header-dev

安装上,再安装驱动就可以了,操作是简单的,摸索是痛苦的,记得安装前备份 /etc/X11/xorg.conf

安装过程中会提示要修改这个文件,选确定。

现在可以进入Gnome了,


shell$ sudo /etc/init.d/gdm start

,就可以了,打开一个终端,

输入

shell$ glxinfo | grep rendering

,如果显示 direct rendering: Yes ,就说明,你安装成功了,否则

请自行摸索.... ,我的经验是,请到官网下载驱动... 而且如果是用官网的驱动,你还要卸载操作

shell$ sudo apt-get remove linux-restricted-modules-`uname -r`

四. 试试魔兽

先把魔兽世界的安装的那个盘加载到一个目录,然后安装 wine,

shell$ sudo apt-get install wine

拷贝windows/system32目录下的 kernel32.dll riched32.dll riched20.dll 到 wine 的

drive_c/window/system32 , 然后运行 winecfg , 默认的 window version 为 Windows XP

Libraries 里添加 kernel32 riched32 riched20 三个东东,选确定,然后

shell$ wine /media/hda6/game/World\ of\ Warcraft/Launcher.exe -opengl

就可以运行魔兽世界了

当然,这个是我的安装目录,你的可能不是这个路径。

五. 最终目的

现在开始我们最重要的步骤了,安装Web服务器 Lighttpd,PHP,MySQL ,


安装mysql-5.0.45 下载编译好的二进制包

shell$ sudo tar xzvf mysql-5.0.45-linux-i686-icc-glibc23.tar.gz
shell$ sudo mv ./mysql-5.0.45-linux-i686-icc-glibc23.tar.gz /data/usr/local/mysql5
shell$ sudo cd /data/usr/local/mysql5
shell$ sudo groupadd mysql
shell$ sudo useradd -g mysql mysql
shell$ sudo chown -R mysql .
shell$ sudo chgrp -R mysql .
shell$ sudo scripts/mysql_install_db --user=mysql
shell$ sudo chown -R root .
shell$ sudo chown -R mysql data
shell$ sudo bin/mysqld_safe --user=mysql &


修改 my.cnf ,我是直接修改 mysql/support-files/my-large.cnf,在[mysqld]下添加
max_connections = 500

建立mysql.pid的目录
shell$ sudo mkdir /var/run/mysql
shell$ sudo chown mysql.mysql /var/run/mysql


添加 mysql启动脚本 start_mysql.sh
/data/usr/local/mysql5/bin/mysqld --defaults-extra-file=/data/usr/local/mysql5/support-files/my-huge.cnf --basedir=/data/usr/local/mysql5 --datadir=/data/usr/local/mysql5/data --user=mysql --port=3306 --socket=/tmp/mysql.sock --pid-file=/var/run/mysql/mysql.pid &

添加 mysql关闭服务脚本 shutdown_mysql.sh
/data/usr/local/mysql5/bin/mysqladmin -u root -pYouRootPassword --socket=/tmp/mysql.sock shutdown

添加登录脚本 login_mysql.sh
/data/usr/local/mysql5/bin/mysql -u root -pYouRootPassword --socket=/tmp/mysql.sock

安装PHP lighttpd-1.4.18

shell$ sudo ./configure --prefix=/data/usr/local/lighttpd --with-pcre
shell$ sudo make
shell$ sudo make install

这个比较简单 打开pcre 是为了支持 mod_rewrite 和 mod_evhost ,需要先装好pcre库

安装PHP php-5.2.5

shell$ sudo ./configure --prefix=/data/usr/local/php-fcgi --with-mysql=/data/usr/local/mysql5 --enable-shmop --enable-sockets --enable-mbstring --with-gd --with-jpeg-dir --with-ttf --with-png-dir --with-freetype-dir --with-zlib --enable-pcntl --enable-soap --with-curl --enable-fastcgi --enable-force-cgi-redirect --enable-maintainer-zts --enable-memory-limit --enable-zend-multibyte --enable-discard-path
shell$ sudo make
shell$ sudo make install

配置 lighttpd.conf

# 打开如下模块
server.modules = (
"mod_rewrite",
# "mod_redirect",
# "mod_alias",
"mod_access",
# "mod_cml",
# "mod_trigger_b4_dl",
# "mod_auth",
# "mod_status",
# "mod_setenv",
"mod_fastcgi",
# "mod_proxy",
"mod_simple_vhost",
"mod_evhost",
# "mod_userdir",
# "mod_cgi",
# "mod_compress",
# "mod_ssi",
# "mod_usertrack",
# "mod_expire",
# "mod_secdownload",
# "mod_rrdtool",
"mod_accesslog" )



#添加cakephp 的rewrite
$HTTP["host"] == "cakephp.doopai.com" {
simple-vhost.server-root = "/data/website/www/cakephp.doopai.com"
url.rewrite-once = (
"/(.*)\.(.*)" => "$0",
"/(css|files|img|js|stats)/" => "$0",
"^/([^.]+)$" => "/index.php?url=$1"
)
}


#添加数据库管理
$HTTP["host"] == "sqladmin.doopai.com" {
simple-vhost.server-root = "/data/app/website/sqladmin.doopai.com"
}


# 配置 php fast-cgi
fastcgi.server = ( ".php" =>
( "localhost" =>
(
"socket" => "/tmp/php-fastcgi.socket",
"bin-path" => "/data/usr/local/php-fcgi/bin/php-cgi"
)
)
)

配置 php

直接拷贝 php.ini-recommended 到 php config path 目录下就可以
更多的配置,可以参考手册就好了

sudo cp ./php.ini-recommended /data/usr/local/php-fcgi/lib/php.ini

六. 兴趣使然

最后是我的个人爱好了,我还要编译一个Emacs在我的系统上 !
安装前要注意,要先安装 libncurses5-dev,否则你当你安装完之后,执行
shell$ sudo emacs-23.0.0 -nw
会提示你 emacs: Cannot open termcap database file

然后就是下载源码,编译了,这个过程并不复杂,但可能你缺少一些包 如下面两个包
shell$ sudo apt-get install texinfo
shell$ sudo apt-get install libncurses5-dev


下载CVS里的源码,现在emacs-uniode-2已经很不错了,对多语言的支持更好了
shell$ sudo cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/emacs login
shell$ sudo cvs -z3 -d:pserver:anonymous@cvs.sv.gnu.org:/sources/emacs co -r emacs-unicode-2 emacs

然后 configure -> 编译 -> 编译帮助文件 -> 安装
shell$ sudo ./configure --prefix=/data/usr/local/emacs23 --with-xft --with-gtk --with-fretype --enable-font-backend --with-x-toolkit=gtk --with-freetype2 --with-x --with-xpm --with-jpeg --with-tiff --with-gif --with-png
shell$ sudo make bootstrap
shell$ sudo make info
shell$ sudo make install INSTALL_DIR=/data/usr/local/emacs23


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-17 15:38 

注册: 2007-02-25 16:56
帖子: 1261
送出感谢: 0 次
接收感谢: 0 次
学习,谢谢分享。。 :D


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-18 14:35 

注册: 2007-12-18 10:18
帖子: 57
地址: 武汉
送出感谢: 0 次
接收感谢: 0 次
我想在ubuntu7.10里运行魔兽世界,安装postgresql8.2,IDEA7.0,看电影听音乐o(∩_∩)o


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译